package com.bwie.auth.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class AuthController {

    @Autowired
    private AuthService authService;
    @Autowired
    private HttpServletRequest request;

    @PostMapping("/send/code/{userPhone}")
    public Result sendCode(@PathVariable String userPhone){
        log.info("功能名称:根据手机号发送短信,请求URI:{},请求方式:{},请求参数:{}",request.getRequestURI(),
                request.getMethod(), userPhone);
        Result result=authService.sendCode(userPhone);
        log.info("功能名称:根据手机号发送短信,请求URI:{},请求方式:{},响应参数:{}",request.getRequestURI(),
                request.getMethod(),result);
        return result;
    }

    @PostMapping("/login")
    public Result<JwtResponse> login(@RequestBody UserRequest userRequest){
        log.info("功能名称:根据手机号发送短信,请求URI:{},请求方式:{},请求参数:{}",request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(userRequest));
        Result<JwtResponse> result=authService.login(userRequest);
        log.info("功能名称:根据手机号发送短信,请求URI:{},请求方式:{},响应参数:{}",request.getRequestURI(),
                request.getMethod(),result);
        return result;
    }

    @GetMapping("/user/info")
    public Result<User> userInfo(){
        log.info("功能名称:根据手机号发送短信,请求URI:{},请求方式:{}",request.getRequestURI(),
                request.getMethod());
        User user=authService.userInfo();
        Result<User> result = Result.success(user);
        log.info("功能名称:根据手机号发送短信,请求URI:{},请求方式:{},响应参数:{}",request.getRequestURI(),
                request.getMethod(),result);
        return result;
    }

}
