package com.bwie.es.config;

import lombok.Data;
import org.apache.http.HttpHost;
import org.elasticsearch.client.RestClient;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName:
 * @Description: 初始化一个 RestHighLevelClient 用来做ES操作 【增删改查】
 * @Author: zhuwenqiang
 * @Date: 2023/7/3
 */
@Configuration
@ConfigurationProperties(prefix = "es")  // 支持热部署
@Data
public class InitEsRestHighLevelClient {

    private String host;

    private int port;

    private String scheme;

    /**
     * 初始化一个 RestHighLevelClient
     */
    @Bean
    public RestHighLevelClient init() {
        return new RestHighLevelClient(
                RestClient.builder(
                        new HttpHost(host, port, scheme)
                )
        );
    }

}
