package com.bwie.es.controller;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import com.bwie.common.domain.Product;
import com.bwie.common.domain.request.ProductRequest;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.es.service.EsService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@Log4j2
@RequestMapping("/es")
public class EsController {

    @Autowired
    private EsService esService;
    @Autowired
    private HttpServletRequest request;

    @PostMapping("/search")
    public Result<PageResult<Product>> search(@RequestBody ProductRequest productRequest){
        log.info("功能名称:根据用户名密码查询信息,请求URI:{},请求方式:{},请求参数:{}",request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(productRequest));
        Result<PageResult<Product>> result=esService.search(productRequest);
        log.info("功能名称:根据用户名密码查询信息,请求URI:{},请求方式:{},响应参数:{}",request.getRequestURI(),
                request.getMethod(),result);
        return result;
    }

}
