package com.bwie.es.sync;

import com.bwie.common.domain.Product;
import com.bwie.common.result.Result;
import com.bwie.es.feign.FeignServiceEs;
import com.bwie.es.service.EsService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;
import org.springframework.util.SystemPropertyUtils;

import java.util.List;
@Component
@Log4j2
public class EsAnys {

    @Autowired
    private FeignServiceEs feignServiceEs;
    @Autowired
    private EsService esService;


    @Scheduled(cron = "0/20 * * * * ?")
    public void async(){
        Result<List<Product>> list = feignServiceEs.queryList();
        List<Product> data = list.getData();
        if(!CollectionUtils.isEmpty(data)){
            log.info("总共查询:{}数据",data.size());
            long l = System.currentTimeMillis();
            esService.batchAdd(data);
            log.info("总用时:{}秒",System.currentTimeMillis()-l);
        }
    }


}
