package com.bwie.product.controller;

import com.bwie.common.domain.Cart;
import com.bwie.common.domain.Product;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.product.service.ProductService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@Log4j2
@RequestMapping("/product")
public class ProductController {

    @Autowired
    private ProductService productService;
    @Autowired
    private HttpServletRequest request;

    @GetMapping("/queryList")
    public Result<List<Product>> queryList(){
        log.info("功能名称:根据用户名密码查询信息,请求URI:{},请求方式:{}",request.getRequestURI(),
                request.getMethod());
        List<Product> list=productService.queryList();
        Result<List<Product>> result = Result.success(list);
        log.info("功能名称:根据用户名密码查询信息,请求URI:{},请求方式:{},响应参数:{}",request.getRequestURI(),
                request.getMethod(),result);
        return result;
    }

    @PostMapping("/insertCart")
    public Result insertCart(@RequestBody Product product){
        Result result=productService.insertCart(product);
        return result;
    }

    @GetMapping("/queryCart")
    public Result<List<Cart>> queryCart(){
        List<Cart> list=productService.queryCart();
        Result<List<Cart>> result = Result.success(list);
        return result;
    }

    @PostMapping("/fastUpLoad")
    public Result fastUpLoad(@RequestParam("file") MultipartFile multipartFile){
        return productService.fastUpLoad(multipartFile);
    }

    @PostMapping("/delCart/{cartId}")
    public Result delCart(@PathVariable String cartId){
        productService.delCart(cartId);
        Result<Object> result = Result.success();
        return result;
    }

}
