package com.bwie.product.service.impl;

import com.bwie.common.domain.Cart;
import com.bwie.common.domain.Product;
import com.bwie.common.result.Result;
import com.bwie.product.mapper.ProductMapper;
import com.bwie.product.service.ProductService;
import com.bwie.product.util.FastUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@Service
public class ProductServiceImpl implements ProductService {

    @Autowired
    private ProductMapper productMapper;
    @Autowired
    private FastUtil fastUtil;

    @Override
    public List<Product> queryList() {
        return productMapper.queryList();
    }

    @Override
    public Result insertCart(Product product) {
        Product product1=productMapper.selectProuct(product.getProductId());
        Cart cart=productMapper.selectCart(product1.getProductName());
        if(cart==null){
            productMapper.addCart(product);
        }else{
            Integer cartPrice = cart.getCartPrice();
            Integer price=cartPrice+product.getProductPrice();
            Integer number=cart.getCartNumber()+1;
            Integer sum=cartPrice+product.getProductPrice();
            productMapper.updCart(price,number,sum,cart.getCartId());
        }
        Integer sale=product1.getProductSale()+1;
        Integer inventory=product1.getProductInventory()-1;
        productMapper.updProduct(sale,inventory,product1.getProductId());
        return Result.success(product);
    }

    @Override
    public List<Cart> queryCart() {
        return productMapper.queryCart();
    }

    @Override
    public Result fastUpLoad(MultipartFile multipartFile) {
        String upload="";
        try {
            upload = fastUtil.upload(multipartFile);
            if(upload.equals("")){
                return Result.error("上传失败");
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        return Result.success("http://101.34.249.114:8888/"+upload,"上传成功");
    }

    @Override
    public void delCart(String cartId) {
        productMapper.delCart(cartId);
    }
}
