package com.bwie.system.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.system.service.SystemService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

import static net.sf.jsqlparser.util.validation.metadata.NamedObject.user;

@RestController
@Log4j2
@RequestMapping("/user")
public class SystemController {

    @Autowired
    private SystemService systemService;
    @Autowired
    private HttpServletRequest request;

    @GetMapping("/findByTel/{userPhone}")
    public Result<User> findByTel(@PathVariable String userPhone){
        log.info("功能名称:根据用户名密码查询信息,请求URI:{},请求方式:{},请求参数:{}",request.getRequestURI(),
                request.getMethod(), userPhone);
        User user=systemService.findByTel(userPhone);
        Result<User> result = Result.success(user);
        log.info("功能名称:根据用户名密码查询信息,请求URI:{},请求方式:{},响应参数:{}",request.getRequestURI(),
                request.getMethod(),result);
        return result;
    }

}
